%define name uae
%define version 0.8.22
%define release 3mdk
%define cdrmainvers 1.11
%define cdrvers %{cdrmainvers}a21

Summary: A software emulation of the Amiga 500/1000/2000
Name: %{name}
Version: %{version}
Release: %{release}
URL: http://www.freiburg.linux.de/~uae/
Source0: ftp://ftp.freiburg.linux.de/pub/uae/sources/develop/uae-%{version}.tar.bz2
Source1: ftp://ftp.fokus.gmd.de/pub/unix/cdrecord/alpha/cdrtools-%{cdrvers}.tar.bz2
Source2: http://www.freiburg.linux.de/~uae/bin/patches/bsdsocket_010228.tar.bz2
Patch0: uae-opt.patch.bz2
Patch1: uae-0.8.10-cmdline.patch.bz2
Patch2: uae-scsi.patch.bz2
Patch4: uae-0.8.21-bsdsocket.patch.bz2
Patch5: uae-0.8.21-picasso96.patch.bz2
#
Patch10: uae-cdrtools-1.11a11-dvd.patch.bz2
Patch11: uae-0.8.22-file.patch.bz2
License: GPL
Group: Emulators
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: XFree86-devel gtk+-devel glib-devel
BuildRequires: libSDL1.2 libSDL1.2-devel

%description
UAE is a software emulation of the Amiga 500/1000/2000 system
hardware, which enables you to run most available Amiga software.  Since
it is a software emulation, no extra or special hardware is needed.
The Amiga hardware is emulated accurately, so that Amiga software 
is tricked into thinking it is running on the real thing.  Your computer's
display, keyboard, hard disk and mouse assume the roles of their emulated
counterparts.

Note that to fully emulate the Amiga you need the Amiga KickStart
ROM images, which are copyrighted and, of course, not included here.

%package devel
Summary: Headers for developing programs that will use %{name}
Group: Development/C
Provides: %{name}-devel = %{version}-%{release}
Obsoletes: %{name}
Provides:  %{name}

%description devel
This package contains the headers that programmers will need to develop
applications which will use %{name}.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q -a 1 -a 2 -n uae-%{version}
%patch0 -p1 -b .opt
%patch1 -p1 -b .cmdline
%patch2 -p1 -b .scsi
%patch4 -p1 -b .bsd
%patch5 -p1 -b .picasso96
%patch10 -p1 -b .cdr
%patch11 -p1 -b .file

%build
(cd cdrtools-%{cdrmainvers}
ln -s i686-linux-cc.run RULES/athlon-linux-cc.rul
CFLAGS="$RPM_OPT_FLAGS" \
CONFFLAGS="%{_target_platform} --prefix=%{_prefix}" \
	XK_ARCH=%{_target_cpu} ./Gmake)
(cd src
./install_libscg ../cdrtools-%{cdrmainvers})
mv -f bsdsocket.c src
mv -f bsdsocket.library amiga
autoconf
./configure --prefix=%{_prefix} \
            --with-x \
            --enable-dga \
            --enable-vidmode \
            --enable-sound \
            --enable-scsi-device \
	    --enable-sdl \
            --enable-threads \
            --enable-ui 

OPT_FLAGS="$RPM_OPT_FLAGS -fno-fast-math"
%ifarch %{ix86}
# -fno-reorder-blocks for cpuopti so that it does not get confused
OPT_FLAGS="$OPT_FLAGS -fno-strength-reduce -fno-reorder-blocks"
%endif
make RPM_OPT_FLAGS="$OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%{_prefix}/{bin,lib/uae/amiga/source,X11R6/bin}
#install -m 755 -s readdisk $RPM_BUILD_ROOT/%{_bindir}
#install -m 755 -s uae $RPM_BUILD_ROOT/%{_prefix}/X11R6/bin
install -m 755 readdisk $RPM_BUILD_ROOT/%{_bindir}
install -m 755 uae $RPM_BUILD_ROOT/%{_prefix}/X11R6/bin
cp -pR amiga/* $RPM_BUILD_ROOT/%{_libdir}/uae/amiga/.

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc docs/*
%{_bindir}/*
%{_prefix}/X11R6/bin/*

%files devel
%defattr(-,root,root)
%{_libdir}/uae
%doc docs/*

%changelog
* Mon Mar 31 2003 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.8.22-3mdk
- Rebuild with gcc3.2, add -fno-reorder-blocks to CFLAGS for now

* Tue Feb 25 2003 Giuseppe Ghib <ghibo@mandrakesoft.com> 0.8.22-2mdk
- Rebuilt.

* Sat Oct 12 2002 Alexander Skwar <ASkwar@DigitalProjects.com> 0.8.22-1mdk
- 0.8.22
- Adpated file patch to 0.8.22

* Thu Sep 12 2002 Giuseppe Ghib <ghibo@mandrakesoft.com> 0.8.21-3mdk
- Added libSDL to BuildRequires.

* Thu Sep 12 2002 Giuseppe Ghib <ghibo@mandrakesoft.com> 0.8.21-2mdk
- updated cdrecord library from 1.8 to 1.11a211.
- added Patch11 (from WinUAE-0.8.21R3), fixes hardfile (for Reorg).
- Recompiled with gcc 2.X.

* Mon Apr 29 2002 Giuseppe Ghib <ghibo@mandrakesoft.com> 0.8.21-1mdk
- added bsdsocket.library support.
- Patch8 (regalloc) removed, now merged into jit patch tree.
- Patch10 (bfins-flags) removed, now merged into jit patch tree.
- Readapted Patch7 (fucomi) to 0.8.21.

* Mon Feb 11 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.8.15-6mdk
- 4 new patches:
  - Patch7: fucomi instructions are for P6+ cores only. e.g. Exclude K6-2
  - Patch8: Small fix for the register allocator
  - Patch9: Fixes for shift/rotate code generators
  - Patch10: Fix condition codes handling for BFINS instructions

* Fri Jan 04 2002 Giuseppe Ghib <ghibo@mandrakesoft.com> 0.8.20-1mdk
- updated to version 0.8.20.

* Thu Oct 18 2001 Daouda LO <daouda@mandrakesoft.com> 0.8.17-2mdk
- add devel package.

* Sat Aug 11 2001 Giuseppe Ghib <ghibo@mandrakesoft.com> 0.8.17-1mdk
- release 0.8.17.
- s/Copyright/License/.

* Wed Jan 24 2001 Giuseppe Ghib <ghibo@mandrakesoft.com> 0.8.15-4mdk
- added missed direct_access.c file.

* Mon Dec 18 2000 Giuseppe Ghib <ghibo@mandrakesoft.com> 0.8.15-3mdk
- added bsdsocket.library support.

* Sun Dec 17 2000 Giuseppe Ghib <ghibo@mandrakesoft.com> 0.8.15-2mdk
- updated to version JIT-IT2.
- fixed typo in configure.in.
- removed scsi patch (no longer needed).

* Sun Dec 03 2000 Giuseppe Ghib <ghibo@mandrakesoft.com> 0.8.15-1mdk
- updated with JIT version.

* Tue Sep 18 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.8.13-3mdk
- bm.
- macros.

* Fri Aug 11 2000 Giuseppe Ghib <ghibo@mandrakesoft.com> 0.8.13-2mdk
- added SCSI support.

* Thu Aug 10 2000 Giuseppe Ghib <ghibo@mandrakesoft.com> 0.8.13-1mdk
- updated to new version.

* Thu Apr 20 2000 Giuseppe Ghib <ghibo@mandrakesoft.com> 0.8.12-2mdk
- fixed group.

* Thu Mar 16 2000 Giuseppe Ghib <ghibo@mandrakesoft.com> 0.8.12-1mdk
- updated to version 0.8.12.

* Thu Feb 03 2000 Giuseppe Ghib <ghibo@linux-mandrake.com>
- updated to version 0.8.11.

* Sat Oct 31 1999 Giuseppe Ghib <ghibo@linux-mandrake.com>
- updated to version 0.8.10.
- added patch to show config help.
- added BuildPreReq.

* Sat Jul 24 1999 Giuseppe Ghib <ghibo@linux-mandrake.com>
  [0.8.9-2mdk]
- mandrake adaptions

* Sun Jul 04 1999 Arne Coucheron <arneco@online.no>
  [0.8.9-1]

* Mon May 24 1999 Arne Coucheron <arneco@online.no>
  [0.8.8-2]
- changed the Summary tag
- changed the Group tag
- changed the %description
- installing the utilities
- readdisk moved to /usr/bin

* Tue Mar 30 1999 Arne Coucheron <arneco@online.no>
  [0.8.8-1]
- corrected the Source tag

* Sat Jan 09 1999 Arne Coucheron <arneco@online.no>
  [0.8.7-1]

* Mon Jul 27 1998 Arne Coucheron <arneco@online.no>
  [0.8.6-1]

* Sat Jul 11 1998 Arne Coucheron <arneco@online.no>
  [0.8.5-1]

* Wed Jun 03 1998 Arne Coucheron <arneco@online.no>
  [0.8.4-1]
